Subject: Cihui and Chinese dictionary stack on Mac for ftp

From: Ed Lai <[email-masked]>
Date: Thu, 11 Jul 1991 16:26:19 -0700

I have uploaded a number of files to ahkcus.org for interested
parties to ftp. They are Mac specific and can be found in the
src/Mac directory.

The cihui files are the cihui (pinyin phrase) input method files
for Mac Chinese OS 6.0x. The version is 1.8 and this is not a new
version. The only change is that the documentation file format
has been changed from MacWrite into TeachText.

The other files start the name with chidict, they are two HyperCard
Chinese  dictionary stacks. The file has been compressed in an
application. Launch  the file after debinhex to extract the actual
stack. It requires Mac Chinese OS 6.0x.

This is really a frame work for a dictionary. It set up index to
every character in GB (chidict.simp.35.cpt.hqx) or Big5
(chidict.simp.35.cpt.hqx) code set, but  it has no content such as
the meaning of the word. People who want to make a dictionary
themselves can fill that in.

Still there are a lot of useful information in the dictionary.
The GB to PinYin table that has been used by several people and
attributed to me can be easily generated from the stack (in fact
it was generated from an earlier version of the stack). Something
like Big5 to Pinyin, Big5/GB to telegraph code, Big5 to TsangChi,
Big5 to 3 corner code, GB to Big5 can likewise be easily generated
from the stack.

However its strong point is not as a database, but as a very fluid
navigation in the ocean of information. There must be over 100000
links, so you can get from any character to any character with
only a few mouse click. For example, from a character it takes
one click to get to the list of homonyms, another click to pick
out which character from the list to go to. So it takes 2 click
to get to a homonyms, 2 clicks to get to another character with
the same radical etc.

The dictonary stacks are huge, about 1.5M for the GB version and
over 3M for the Big5 versions (and this excludes 4M of sound files
that I do not have the right to distribute). Since you need to run
HyperCard on top of the Chinese system to use it, it would be doubtful
to be able to run it in 2M. I think 4M RAM is necessary. So only try
to run it if you have a lot of RAM and hard disk space.

/* Disclaimer: All statments and opinions expressed are my own */
/* Edmund K. Lai                                               */
/* Apple Computer, MS37-UP                                     */
/* 20525 Mariani Ave,                                          */
/* Cupertino, CA 95014                                         */
/* (408)974-6272                                               */
zW@h9cOi